Summary:	Adapt GTK-1.2 to support xft fonts
Name:		gdkxft
Version:	1.3
Release:	1
License:	LGPL
Group:		X11/Libraries
Packager: 	linuxkid <linux@peanutlinux.org>
Source0:	http://philrsss.anu.edu.au/~josh/gdkxft/%{name}-%{version}.tar.gz
Source1:	xinitrc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
URL:		http://philrsss.anu.edu.au/~josh/gdkxft/
Prereq:		/sbin/ldconfig
BuildRequires:	autoconf automake libtool XFree86-devel perl-devel
BuildRequires:	gtk+-devel >= 1.2.0 help2man

%description 
A library that adds transparent support for anti-aliased fonts to the
libgdk component of gtk+-1.2.x. Gtk+ widgets will automagically use
the fonts.

%prep
%setup -q

%build
configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--mandir=/usr/man \
	--host=i386-pc-linux \
	--build=i386-pc-linux \
	--disable-nls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/X11
/usr/lib
